/* NO USER CONFIGURABLE PARAMETERS HERE! */

/* SPEEDUP Path Integral Monte Carlo code is developed by A. Balaz,
   D. Stojiljkovic, I. Vidanovic, A. Belic, and A. Bogojevic.
         
   Address: Institute of Physics, Belgrade, Serbia
   Scientific Computing Laboratory, http://www.scl.rs/

   Public use and modification of this code is allowed providing 
   the authors are properly acknowledged. The authors would be   
   grateful for all information and/or comments regarding the use   
   of the code.  
*/

/* Parameters of the potential, defined in main(), used in V0(). */
extern double *par;

/* Variables used for storing the values of the (unimproved) potential V (V00) and its derivatives
   (V01, ..., V34). They are initialized to zero, and later changed (only the nonzero ones!)
   by the user supplied function V0().
*/
extern double V00, V01, V02, V03, V04, V05, V06, V07, V08, V09;
extern double V10, V11, V12, V13, V14, V15, V16, V17, V18, V19;
extern double V20, V21, V22, V23, V24, V25, V26, V27, V28, V29;
extern double V30, V31, V32, V33, V34;

void V0(double);
